From e264da3050285cffd4885637ee97b2326d2f3938 Mon Sep 17 00:00:00 2001
From: "yizhi.fzh" <yizhi.fzh@alibaba-inc.com>
Date: Sun, 7 Jan 2024 15:06:14 +0800
Subject: [PATCH v3 2/2] simple code to prove previously commit works.

---
 src/backend/storage/buffer/bufmgr.c | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/src/backend/storage/buffer/bufmgr.c b/src/backend/storage/buffer/bufmgr.c
index 822ec77bdc..769a5a416e 100644
--- a/src/backend/storage/buffer/bufmgr.c
+++ b/src/backend/storage/buffer/bufmgr.c
@@ -1391,6 +1391,15 @@ BufferAlloc(SMgrRelation smgr, char relpersistence, ForkNumber forkNum,
 	 */
 	victim_buf_state = LockBufHdr(victim_buf_hdr);
 
+	CHECK_FOR_INTERRUPTS();
+	LWLockAcquire(ProcArrayLock, LW_EXCLUSIVE);
+	{
+		void	   *p = palloc(30);
+
+		(void) p;
+	}
+	LockRelationOid(1259, RowShareLock);
+
 	/* some sanity checks while we hold the buffer header lock */
 	Assert(BUF_STATE_GET_REFCOUNT(victim_buf_state) == 1);
 	Assert(!(victim_buf_state & (BM_TAG_VALID | BM_VALID | BM_DIRTY | BM_IO_IN_PROGRESS)));
-- 
2.34.1

